ClientHealthStatus (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.management

## Class ClientHealthStatus

- java.lang.Object
- - org.apache.geode.management.ClientHealthStatus

-     public class ClientHealthStatus
      extends java.lang.Object

  Composite data type used to distribute statistics which can be used to determine the health of a cache client.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientHealthStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClientCQCount()`
    `java.lang.String` | `getClientId()` Returns the ID of the client.
    `int` | `getCpus()` Returns the number of CPUs available to the client.
    `java.lang.String` | `getHostName()` Returns the name of the host on which the client is running.
    `java.lang.String` | `getName()` Returns the name of the client.
    `int` | `getNumOfCacheListenerCalls()` Returns the number of times a cache listener call has completed.
    `int` | `getNumOfGets()` Returns the number of times a successful get operation has occurred.
    `int` | `getNumOfMisses()` Returns the number of times a cache miss has occurred.
    `int` | `getNumOfPuts()` Returns the number of times an entry was added or replaced in this cache as a result of a local operation.
    `int` | `getNumOfThreads()` Returns the number of threads currently in use.
    `java.util.Map<java.lang.String,java.lang.String>` | `getPoolStats()`
    `long` | `getProcessCpuTime()` Returns the amount of time (in nanoseconds) used by the client process.
    `int` | `getQueueSize()` Returns the client queue size.
    `boolean` | `getSubscriptionEnabled()`
    `long` | `getUpTime()` Returns the amount of time (in seconds) that the client has been running.
    `boolean` | `isConnected()`
    `void` | `setClientCQCount(int clientCQCount)`
    `void` | `setClientId(java.lang.String clientId)` Sets the ID of the client.
    `void` | `setConnected(boolean connected)`
    `void` | `setCpus(int cpus)` Sets the number of CPUs available to the client.
    `void` | `setHostName(java.lang.String hostName)` Sets the name of the host on which the client is running.
    `void` | `setName(java.lang.String name)` Sets the name of the client.
    `void` | `setNumOfCacheListenerCalls(int numOfCacheListenerCalls)` Sets the number of times a cache listener call has completed.
    `void` | `setNumOfGets(int numOfGets)` Sets the number of times a successful get operation has occurred.
    `void` | `setNumOfMisses(int numOfMisses)` Sets the number of times a cache miss has occurred.
    `void` | `setNumOfPuts(int numOfPuts)` Set the number of times an entry was added or replaced in this cache as a result of a local operation.
    `void` | `setNumOfThreads(int numOfThreads)` Sets the number of threads currently in use.
    `void` | `setPoolStats(java.util.Map<java.lang.String,java.lang.String> map)`
    `void` | `setProcessCpuTime(long processCpuTime)` Sets the amount of time (in nanoseconds) used by the client process.
    `void` | `setQueueSize(int queueSize)` Sets the client queue size.
    `void` | `setSubscriptionEnabled(boolean subscriptionEnabled)`
    `void` | `setUpTime(long upTime)` Sets the amount of time (in seconds) that the client has been running.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientHealthStatus

          public ClientHealthStatus()

  - ### Method Detail

    - #### getNumOfGets

          public int getNumOfGets()

      Returns the number of times a successful get operation has occurred.

    - #### getNumOfPuts

          public int getNumOfPuts()

      Returns the number of times an entry was added or replaced in this cache as a result of a local operation. Operations counted include puts, creates, and gets which result in loading, net searching, or net loading a value. The count only includes operations done explicitly on this cache, not those that are pushed from other caches.

    - #### getNumOfMisses

          public int getNumOfMisses()

      Returns the number of times a cache miss has occurred.

    - #### getNumOfCacheListenerCalls

          public int getNumOfCacheListenerCalls()

      Returns the number of times a cache listener call has completed.

    - #### getNumOfThreads

          public int getNumOfThreads()

      Returns the number of threads currently in use.

    - #### getProcessCpuTime

          public long getProcessCpuTime()

      Returns the amount of time (in nanoseconds) used by the client process.

    - #### getCpus

          public int getCpus()

      Returns the number of CPUs available to the client.

    - #### getUpTime

          public long getUpTime()

      Returns the amount of time (in seconds) that the client has been running.

    - #### getClientId

          public java.lang.String getClientId()

      Returns the ID of the client.

    - #### setNumOfGets

          public void setNumOfGets(int numOfGets)

      Sets the number of times a successful get operation has occurred.

    - #### setNumOfPuts

          public void setNumOfPuts(int numOfPuts)

      Set the number of times an entry was added or replaced in this cache as a result of a local operation.

    - #### setNumOfMisses

          public void setNumOfMisses(int numOfMisses)

      Sets the number of times a cache miss has occurred.

    - #### setNumOfCacheListenerCalls

          public void setNumOfCacheListenerCalls(int numOfCacheListenerCalls)

      Sets the number of times a cache listener call has completed.

    - #### setNumOfThreads

          public void setNumOfThreads(int numOfThreads)

      Sets the number of threads currently in use.

    - #### setProcessCpuTime

          public void setProcessCpuTime(long processCpuTime)

      Sets the amount of time (in nanoseconds) used by the client process.

    - #### setCpus

          public void setCpus(int cpus)

      Sets the number of CPUs available to the client.

    - #### setUpTime

          public void setUpTime(long upTime)

      Sets the amount of time (in seconds) that the client has been running.

    - #### setQueueSize

          public void setQueueSize(int queueSize)

      Sets the client queue size.

    - #### setClientId

          public void setClientId(java.lang.String clientId)

      Sets the ID of the client.

    - #### getQueueSize

          public int getQueueSize()

      Returns the client queue size.

    - #### getName

          public java.lang.String getName()

      Returns the name of the client.

    - #### getHostName

          public java.lang.String getHostName()

      Returns the name of the host on which the client is running.

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the client.

    - #### setHostName

          public void setHostName(java.lang.String hostName)

      Sets the name of the host on which the client is running.

    - #### getPoolStats

          public java.util.Map<java.lang.String,java.lang.String> getPoolStats()

    - #### setPoolStats

          public void setPoolStats(java.util.Map<java.lang.String,java.lang.String> map)

    - #### isConnected

          public boolean isConnected()

    - #### setConnected

          public void setConnected(boolean connected)

    - #### getSubscriptionEnabled

          public boolean getSubscriptionEnabled()

    - #### getClientCQCount

          public int getClientCQCount()

    - #### setSubscriptionEnabled

          public void setSubscriptionEnabled(boolean subscriptionEnabled)

    - #### setClientCQCount

          public void setClientCQCount(int clientCQCount)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`